%global greeter wlgreet
%bcond_without  vendor

%if %{with vendor}
%global cargo_registry vendor
%endif

Name:           greetd-%{greeter}
Version:        0.4.1
# 0.x will be changed to 1 when the package gets accepted into Fedora
Release:        0.1%{?dist}
Summary:        Wayland greeter for greetd

# Apache-2.0
# Apache-2.0 OR BSL-1.0
# GPL-3.0
# ISC
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-only AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND ISC AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
URL:            https://git.sr.ht/~kennylevinsen/%{greeter}
Source0:        %{url}/archive/%{version}.tar.gz#/%{greeter}-%{version}.tar.gz
# A script to generate vendor.tar.xz
Source1:        cargo-vendor.sh
Source2:        vendor.tar.xz
Source100:      %{greeter}-sway.conf
Source101:      %{greeter}-wayfire.ini

BuildRequires:  rust-packaging >= 23

Requires:       greetd >= 0.6
Requires:       (sway or wayfire)
Recommends:     desktop-backgrounds-compat
Recommends:     swaybg
Recommends:     wayland-logout

%description
Raw wayland greeter for greetd, to be run under sway or similar.


%prep
%autosetup -n %{greeter}-%{version} %{?with_vendor:-a2}
%cargo_prep


%if %{without vendor}
%generate_buildrequires
%cargo_generate_buildrequires
%endif


%build
%cargo_build
%cargo_license_summary
%{?cargo_license} >LICENSE.dependencies


%install
%cargo_install
install -D -m644 -vp config.toml \
    %{buildroot}/%{_sysconfdir}/greetd/wlgreet.toml
install -D -m644 -vp %{SOURCE100} \
    %{buildroot}/%{_sysconfdir}/greetd/%{greeter}-sway.conf
install -D -m644 -vp %{SOURCE101} \
    %{buildroot}/%{_sysconfdir}/greetd/%{greeter}-wayfire.ini


%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/%{greeter}
%config(noreplace) %{_sysconfdir}/greetd/%{greeter}-sway.conf
%config(noreplace) %{_sysconfdir}/greetd/%{greeter}-wayfire.ini
%config(noreplace) %{_sysconfdir}/greetd/%{greeter}.toml

%changelog
* Thu Jan 05 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.4.1-0.1
- Update to 0.4.1

* Thu Jan 14 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.3-0.1
- Update to 0.3

* Thu Sep 17 2020 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.2-0.1
- Initial package
